Subject: Re: Implementing RSTP and MSTP in Linux Kernel

From: Stephen Hemminger <[email-masked]>
Date: Wed, 9 Jul 2008 09:21:43 -0700

On Wed, 9 Jul 2008 21:30:16 +0530
"\"G\"" <[email-masked]> wrote:

> Hi all
> 
> I am trying to extend the Linux bridging functionaltiy by adding
> support for RSTP and MSTP in the linux kernel and i want to implement
> it as a linux kernel module. I would like to know whats that i ve to
> take care of while implementing this functionlality especially with
> respect to locks etc. I ve gone through the basic bridging code so any
> suggestions on this implementation would be of real good help.
> 
> Thanks for your time
> 
> Cheers,
> Balaji
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

There is already an out of kernel rstpd in user space (actually two of them),
and a couple of people had done RSTP in kernel in older 2.4 embedded devices.